Subject: bug#12646: 24.2.50; Eshell problem with mailx(1)

From: Stephen Berman <[email-masked]>
Date: Mon, 15 Oct 2012 12:35:18 +0200

On Mon, 15 Oct 2012 01:25:36 +0200 Andreas Schwab <[email-masked]> wrote:

> The bug is in less, but triggered by changes in ncurses.  You should be
> able to get the same crash in 12.1 by exporting LINES=0 in the
> environment.

Unfortunately I couldn't test this: I exported LINES=0 in the shell and
then started Emacs, but in Eshell `echo $LINES' returned 42; same when I
exported LINES=0 within Eshell and also when I used setenv, both before
and after starting Eshell.  I searched the Eshell manual but found
nothing about setting environment variables.

I'm still interested to know why I encounter the bug only in Eshell and
only with mailx, not with less itself; do you have any idea?

> To disable the pager in mailx set crt to a big value.  RTFM.
>
> Andreas.

Thanks.

Steve Berman